package com.realnet.config.sqlite;

import java.sql.Types;
import org.hibernate.dialect.Dialect;
import org.hibernate.dialect.identity.IdentityColumnSupport;

public class SQLiteDialect extends Dialect {

	public SQLiteDialect() {
		registerColumnType(Types.INTEGER, "integer");
		registerColumnType(Types.VARCHAR, "text");
		registerColumnType(Types.BLOB, "blob");
		registerColumnType(Types.REAL, "real");
	}

	@Override
	public IdentityColumnSupport getIdentityColumnSupport() {
		return new SQLiteIdentityColumnSupport();
	}

	@Override
	public boolean hasAlterTable() {
		return false;
	}

	@Override
	public boolean dropConstraints() {
		return false;
	}
	@Override
	public boolean supportsUnionAll() {
	    return true;
	}

}
